#!/bin/bash
#SBATCH --job-name=cola_Pf_L512_N512_Np256
#SBATCH --output=/data70/hoellinger/WIP3M/cola_Pf_L512_N512_Np256/log.log
#SBATCH --error=/data70/hoellinger/WIP3M/cola_Pf_L512_N512_Np256/err.err
#SBATCH --nodes=1                        # Number of nodes (value or min-max)
#SBATCH --ntasks=128                     # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp          # Partition name
#SBATCH --time=48:00:00

##SBATCH --exclusive
##SBATCH --nodelist=i26             # Node name
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_Pf_LNNp512 \
#     --L 512 \
#     --N 512 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.3 \
#     --mod_val_p3m2 0.5 \
#     --mod_val_p3m3 1.1

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_Pf_L1024_N512_Np512 \
#     --L 1024 \
#     --N 512 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.33 \
#     --mod_val_p3m2 0.4 \
#     --mod_val_p3m3 0.5

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_Pf_L1024_N1024_Np512 \
#     --L 1024 \
#     --N 1024 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.33 \
#     --mod_val_p3m2 0.4 \
#     --mod_val_p3m3 0.5

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_Pf_LNNp256 \
#     --L 256 \
#     --N 256 \
#     --Np 256 \
#     --Npm 512 \
#     --n_Tiles 64 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.3 \
#     --mod_val_p3m2 0.5 \
#     --mod_val_p3m3 1.1

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_Pf_L512_N256_Np256 \
#     --L 512 \
#     --N 256 \
#     --Np 256 \
#     --Npm 512 \
#     --n_Tiles 64 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.33 \
#     --mod_val_p3m2 0.4 \
#     --mod_val_p3m3 0.5

export OMP_NUM_THREADS=64
python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
    --run_id cola_Pf_L512_N512_Np256 \
    --L 512 \
    --N 512 \
    --Np 256 \
    --Npm 512 \
    --n_Tiles 64 \
    --z_i 19.0 \
    --z_f 0.0 \
    --plot_fields True \
    --rescale_limiter "fac_p3m_fit" \
    --use_p3m_fit True \
    --mod_val_p3m1 0.33 \
    --mod_val_p3m2 0.4 \
    --mod_val_p3m3 0.5

exit 0